{
	"easycom": {
		"^u-(.*)": "@/uview-ui/components/u-$1/u-$1.vue"
	},
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
	
	                                                            
		{
			//登录
			"path": "pages/login/login",
			"style": {
				"navigationStyle": "custom"
			}
		}, {
			"path": "pages/noLogin/PressureRegulatingBox/PressureRegulatingBox",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}
		},
		{
			"path": "pages/noLogin/regulatorBoxList",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": true ,//开启下拉刷新
				"onReachBottomDistance":126 //距离底部多远时触发 单位px
			}
		},

		// {
		//     "path" : "pages/noLogin/PressureRegulatingBox/PressureRegulatingBox",
		//     "style" :
		//     {
		//         "navigationStyle": "custom"
		//     }
		// },
		// {
		// 	//登录
		// 	"path": "pages/login/login",
		// 	"style": {
		// 		"navigationStyle": "custom"
		// 	}
		// },
		{
			"path": "pages/index/index",
			"style": {
				"navigationStyle": "custom"
			}
		},
		// {
		// 	//登录
		// 	"path": "pages/login/login",
		// 	"style": {
		// 		"navigationStyle": "custom"
		// 	}
		// },
		 {
			//项目类型
			"path": "pages/noLogin/typeList",
			"style": {
				"navigationStyle": "custom"
			}
		}, {
			//小区
			"path": "pages/noLogin/communitylist",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}
		}, {
			//楼栋
			"path": "pages/noLogin/buildinglist",
			"style": {
				"navigationStyle": "custom"
			}
		}, {
			//单元
			"path": "pages/noLogin/unitlist",
			"style": {
				"navigationStyle": "custom"
			}
		},  {
			//历史施工（详情页）
			"path": "pages/noLogin/listProject",
			"style": {
				"navigationBarTitleText": "历史记录",
				"enablePullDownRefresh": true ,//开启下拉刷新
				"onReachBottomDistance":126 //距离底部多远时触发 单位px
			}
		}, 
		 //{
		// 	//安检
		// 	"path": "pages/noLogin/data",
		// 	"style": {
		// 		"navigationStyle": "custom"
		// 	}
		// },
	  {
			//公告详情
			"path": "pages/notice/noticeDetail",
			"style": {
				"navigationStyle": "custom"
			}
		}, {
			//公告列表
			"path": "pages/notice/noticeList",
			"style": {
				"navigationBarTitleText": "公告列表",
				"enablePullDownRefresh": true //开启下拉刷新
			}
		},  {
			//服务说明
			"path": "pages/service/service",
			"style": {
				"navigationStyle": "custom"
			}
		}, {
			//关于我们
			"path": "pages/aboutme/aboutme",
			"style": {
				"navigationStyle": "custom"
			}
		},
		// {
		// 	//首页
		// 	"path": "pages/index/index",
		// 	"style": {
		// 		"navigationStyle": "custom"
		// 	}
		// },
		 {
			"path": "pages/noLogin/home/home",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}
		}, {
			"path": "pages/noLogin/emergencyRepairOrder/emergencyRepairOrder",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}
		}, {
			"path": "pages/noLogin/WarningPileForm/WarningPileForm",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}
		}, {
			"path": "pages/noLogin/WarningPileList",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}
		}, {
			"path": "pages/noLogin/CourtyardNetworkManagement/CourtyardNetworkManagement",
			"style": {
				"navigationBarTitleText": "",
				"enablePullDownRefresh": false
			}
		}
		// ,{
		//     "path" : "pages/noLogin/PressureRegulatingBox/PressureRegulatingBox",
		//     "style" :
		//     {
		//         "navigationBarTitleText": "",
		//         "enablePullDownRefresh": false
		//     }
		// }
        ,{
            "path" : "pages/noLogin/roadSection/roadSection"
            // "style" :
            // {
            //     "navigationBarTitleText": "",
            //     "enablePullDownRefresh": false
            // }

        },{
            "path" : "pages/noLogin/valveWellInspection/valveWellInspection"
            // "style" :
            // {
            //     "navigationBarTitleText": "",
            //     "enablePullDownRefresh": false
            // }

        },
		{
			"path" : "pages/mapindex/mapindex",
			"style" :
			{
				"navigationBarTitleText" : "地图展示",
				"enablePullDownRefresh" : false
			}
		},
		{
		    "path" : "pages/noLogin/LNGStation/LNGStation",
		    "style" :                                                                                    
		    {
		        "navigationBarTitleText": "",
		        "enablePullDownRefresh": false
		    }
		    
		},
		{
		    "path" : "pages/noLogin/fileList/fileList",
		    "style" :                                                                                    
		    {
		        "navigationBarTitleText": "",
		     "enablePullDownRefresh": false //开启下拉刷新
		    }
		    
		}
        ,{
            "path" : "pages/noLogin/patrolFleet/patrolFleet",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/noLogin/GRegulatingBoxMaintenance/GRegulatingBoxMaintenance",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/noLogin/PipelineGasUser/PipelineGasUser",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "",
                "enablePullDownRefresh": false
            }
            
        }
    ],
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "长春贞达市政施工管理平台",
		"navigationBarBackgroundColor": "#F8F8F8",
		"backgroundColor": "#F8F8F8"
	},
	"tabBar": {
		"list": [{
				"pagePath": "pages/index/index",
				"text": "首页",
				"iconPath": "static/icon/home.png",
				"selectedIconPath": "static/icon/home-on.png"
			}, {
				"pagePath": "pages/noLogin/typeList",
				"text": "工作",
				"iconPath": "static/icon/work.png",
				"selectedIconPath": "static/icon/work-on.png"
			},
			{
				"pagePath": "pages/noLogin/listProject",
				"text": "历史",
				"iconPath": "static/icon/lishijilu.png",
				"selectedIconPath": "static/icon/lishijilu-on.png"
			}
			// {
			// 	"pagePath": "pages/chart/chartAll",
			// 	"text": "统计",
			// 	"iconPath": "static/icon/chart.png",
			// 	"selectedIconPath": "static/icon/chart.png"
			// }
		]
	},
	"condition": { //模式配置，仅开发期间生效
		"current": 0, //当前激活的模式(list 的索引项)
		"list": [{
			"name": "", //模式名称
			"path": "", //启动页面，必选
			"query": "" //启动参数，在页面的onLoad函数里面得到
		}]
	}
}
